Skip to content
View as Markdown

GET List Templates​

GET
/templates

Retrieve a paginated list of email templates. Supports filtering by status types and searching by title. Each template in the response includes its design template identifier.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Query Parameters

search

Search templates by title (partial match).

Type
string
types[]

Filter by post status types.

Type
array
Default
"publish""draft"
orderBy

Column to sort by.

Type
string
Default
"ID"
order

Sort direction.

Type
string
Valid values
"asc""desc"
Default
"desc"
per_page

Number of templates per page.

Type
integer
Default
15
page

Page number for pagination.

Type
integer
Default
1

Responses​

Paginated list of email templates.

application/json
JSON
{
"templates": {
"total": 0,
"per_page": 0,
"current_page": 0,
"last_page": 0,
"next_page_url": "string",
"prev_page_url": "string",
"from": 0,
"to": 0,
"data": [
{
"ID": 0,
"post_title": "string",
"post_content": "string",
"post_excerpt": "string",
"post_status": "string",
"post_type": "string",
"post_date": "string",
"post_modified": "string",
"design_template": "string"
}
]
}
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI